<?php

namespace Superrobota\Softskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SoftskillTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Softskill\Models\Softskill $softskill)
    {
        return [
            'id'                => $softskill->getRouteKey(),
            'key'               => [
                'public'    => $softskill->getPublicKey(),
                'route'     => $softskill->getRouteKey(),
            ], 
            'name'              => $softskill->name,
            'url'               => [
                'public'    => trans_url('softskill/'.$softskill->getPublicKey()),
                'user'      => guard_url('softskill/softskill/'.$softskill->getRouteKey()),
            ], 
            'status'            => trans('app.'.$softskill->status),
            'created_at'        => format_date($softskill->created_at),
            'updated_at'        => format_date($softskill->updated_at),
        ];
    }
}