<?php

namespace Superrobota\Softskill;

use User;

class Softskill
{
    /**
     * $softskill object.
     */
    protected $softskill;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Softskill\Interfaces\SoftskillRepositoryInterface $softskill)
    {
        $this->softskill = $softskill;
    }

    /**
     * Returns count of softskill.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.softskill.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->softskill->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\SoftskillUserCriteria());
        }

        $softskill = $this->softskill->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('softskill::' . $view, compact('softskill'))->render();
    }
}
